Skip to content

Get Automation

GET /public/automation

Retrieve a paginated list of content automations configured for your accounts.

Endpoint Details

  • Authentication: Basic Auth (Authorization: Basic Base64(AccessKey:SecretKey))
  • Access Tier: Gold+

Parameters

ParameterTypeRequiredDescription
pagenumberYesPage number, starting from 1.
limitnumberYesMaximum items per page.
accountIdsstring[]NoFilter by account IDs.
searchstringNoSearch by keyword.

Example Request

bash
curl -X GET "https://api.repliz.com/public/automation?page=1&limit=20&search=Wahuyy" \
  -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"
javascript
import axios from 'axios';

const response = await axios.get('https://api.repliz.com/public/automation', {
  params: {
    page: 1,
    limit: 20,
    search: 'Wahuyy',
  },
  auth: {
    username: 'YOUR_ACCESS_KEY',
    password: 'YOUR_SECRET_KEY',
  },
});

console.log(response.data);
javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');

const response = await fetch(
  'https://api.repliz.com/public/automation?page=1&limit=20&search=Wahuyy',
  {
    headers: {
      Authorization: `Basic ${credentials}`,
    },
  },
);

const data = await response.json();
console.log(data);

Response

json
{
  "docs": [
    {
      "_id": "69c73a831eb3a00c4930bacb",
      "detail": {
        "id": "113958387982006_942538351814577",
        "title": "",
        "description": "JHAJSHAJSA",
        "topic": "",
        "type": "text",
        "owner": {
          "id": "113958387982006",
          "name": "Halaman ke 3",
          "picture": "https://scontent-cgk2-1.xx.fbcdn.net/..."
        },
        "medias": [],
        "url": "https://facebook.com/113958387982006_942538351814577",
        "createdAt": "2026-03-17T09:07:00.000Z"
      },
      "config": {
        "delete": {
          "isActive": true,
          "type": "ai",
          "keywords": ["baca", "oke"],
          "prompt": "You are..."
        },
        "reply": {
          "isActive": true,
          "type": "ai",
          "text": "Hello",
          "prompt": "You are...",
          "isIncludeContentContext": false,
          "keyword": {
            "isExactMatch": false,
            "values": [
              { "keyword": "Hello", "text": "Text to reply message" }
            ]
          },
          "condition": {
            "isActive": false,
            "isExactMatch": false,
            "keywords": ["hello"]
          },
          "exception": {
            "isActive": false,
            "isExactMatch": false,
            "keywords": ["hello"]
          },
          "delay": { "isActive": false, "value": 10, "type": "second" }
        },
        "like": { "isActive": true },
        "message": {
          "isActive": true,
          "type": "ai",
          "text": "Hello",
          "prompt": "You are...",
          "opening": {
            "postback": {
              "isActive": false,
              "text": "Want to know?",
              "button": {
                "type": "postback",
                "title": "Click Me",
                "payload": "payloadcustompostback",
                "url": "https://repliz.com"
              }
            },
            "additional": {
              "isActive": false,
              "isPreventBeforeFollow": false,
              "text": "Want to know?",
              "button": {
                "type": "postback",
                "title": "Click Me",
                "payload": "payloadcustompostback",
                "url": "https://repliz.com"
              }
            },
            "webUrl": {
              "text": "Want to know?",
              "buttons": [
                {
                  "type": "postback",
                  "title": "Click Me",
                  "payload": "payloadcustompostback",
                  "url": "https://repliz.com"
                }
              ]
            }
          },
          "keyword": {
            "isExactMatch": false,
            "values": [
              { "keyword": "Hello", "text": "Text to reply message" }
            ]
          },
          "condition": {
            "isActive": false,
            "isExactMatch": false,
            "keywords": ["hello"]
          },
          "delay": { "isActive": false, "value": 10, "type": "second" }
        },
        "story": {
          "isActive": true,
          "type": "ai",
          "text": "Hello",
          "prompt": "You are...",
          "opening": {
            "postback": {
              "isActive": false,
              "text": "Want to know?",
              "button": {
                "type": "postback",
                "title": "Click Me",
                "payload": "payloadcustompostback",
                "url": "https://repliz.com"
              }
            },
            "additional": {
              "isActive": false,
              "isPreventBeforeFollow": false,
              "text": "Want to know?",
              "button": {
                "type": "postback",
                "title": "Click Me",
                "payload": "payloadcustompostback",
                "url": "https://repliz.com"
              }
            },
            "webUrl": {
              "text": "Want to know?",
              "buttons": [
                {
                  "type": "postback",
                  "title": "Click Me",
                  "payload": "payloadcustompostback",
                  "url": "https://repliz.com"
                }
              ]
            }
          },
          "keyword": {
            "isExactMatch": false,
            "values": [
              { "keyword": "Hello", "text": "Text to reply message" }
            ]
          },
          "condition": {
            "isActive": false,
            "isExactMatch": false,
            "keywords": ["hello"]
          },
          "delay": { "isActive": false, "value": 10, "type": "second" }
        }
      },
      "accountId": "69686c4c41ec8ac5117c8929",
      "userId": "6879b98097fc8c8a78d1d4c1",
      "createdAt": "2026-03-28T02:18:43.947Z",
      "updatedAt": "2026-03-28T02:18:43.947Z",
      "account": {
        "_id": "69686c4c41ec8ac5117c8929",
        "generatedId": "113958387982006",
        "name": "Halaman ke 3",
        "username": "Cafe",
        "picture": "https://scontent-cgk2-1.xx.fbcdn.net/...",
        "isConnected": true,
        "type": "facebook",
        "id": "69686c4c41ec8ac5117c8929"
      },
      "id": "69c73a831eb3a00c4930bacb"
    }
  ],
  "totalDocs": 2,
  "limit": 20,
  "totalPages": 1,
  "page": 1,
  "pagingCounter": 1,
  "hasPrevPage": false,
  "hasNextPage": false,
  "prevPage": null,
  "nextPage": null
}
json
{
  "code": 401,
  "message": "unauthorized"
}